Tornado 2.2.1/gcc 2.96 - VxWorks

This is a discussion on Tornado 2.2.1/gcc 2.96 - VxWorks ; I'm trying to determine if there's a way to take advantage of the vxWorks OS while compiling with a newer version of gcc. Tornado 2.2.1 ships with gcc 2.96 and that compiler is beyond old and is non-compliant to the ...

+ Reply to Thread
Results 1 to 2 of 2

Thread: Tornado 2.2.1/gcc 2.96

  1. Tornado 2.2.1/gcc 2.96


    I'm trying to determine if there's a way to take advantage of the
    vxWorks OS while compiling with a newer version of gcc. Tornado 2.2.1
    ships with gcc 2.96 and that compiler is beyond old and is
    non-compliant to the 14882 C++ standard. I'm told that by WindRiver
    that the only solutoin is to upgrade to the latest 'stuff - Workbench
    ( I believe is what's is called ) which ships with - if memory serves
    gcc 3.3.1. This I'm sure will cost money, hence the question. Any
    ideas on how to upgrade the current compiler?


  2. Re: Tornado 2.2.1/gcc 2.96

    We have Tornado on PC but never got the corresponding Tornado for
    Solaris. When we build on Solaris, we use the checked in header files
    and libraries and compile with a dowlooaded version of the gnu
    compiler.

    I don't know about any specific differences between gnu libraries, but
    we stick close to the version WRS ships and it works fine.

    lc


+ Reply to Thread